package com.wecloud.im.sdk;

import java.net.MalformedURLException;
import java.net.URL;

public class WecloudImClientBuilder {
    public WecloudIm build(String endpoint, String appKey, String appSecret) {
        try {
            URL uri = new URL(endpoint);
            return new WecloudImClient(uri, appKey, appSecret);
        } catch (MalformedURLException e) {
            throw new IllegalArgumentException(e);
        }
    }
}
